searchData={"items":[{"type":"module","title":"AHT20","doc":"Read temperature and humidity from AHT20 sensor in Elixir.","ref":"AHT20.html"},{"type":"function","title":"AHT20.child_spec/1","doc":"Returns a specification to start this module under a supervisor.\n\nSee `Supervisor`.","ref":"AHT20.html#child_spec/1"},{"type":"function","title":"AHT20.measure/1","doc":"Measures the current temperature and humidity.","ref":"AHT20.html#measure/1"},{"type":"function","title":"AHT20.start_link/1","doc":"Starts a new GenServer for interacting with a AHT20.","ref":"AHT20.html#start_link/1"},{"type":"type","title":"AHT20.option/0","doc":"AHT20 GenServer start_link options\n* `:name` - a name for the `GenServer`\n* `:bus_name` - which I2C bus to use (defaults to `\"i2c-1\"`)","ref":"AHT20.html#t:option/0"},{"type":"module","title":"AHT20.Measurement","doc":"One sensor measurement report.","ref":"AHT20.Measurement.html"},{"type":"function","title":"AHT20.Measurement.from_sensor_output/1","doc":"Converts raw sensor output into human-readable format.\n\n    iex> measurement = AHT20.Measurement.from_sensor_output(<<28, 38, 154, 118, 66, 231, 118>>)\n    ...> measurement.temperature_c\n    28.26671600341797","ref":"AHT20.Measurement.html#from_sensor_output/1"},{"type":"type","title":"AHT20.Measurement.t/0","doc":"","ref":"AHT20.Measurement.html#t:t/0"},{"type":"extras","title":"AHT20","doc":"# AHT20\n\n[![Hex.pm](https://img.shields.io/hexpm/v/aht20.svg)](https://hex.pm/packages/aht20)\n[![API docs](https://img.shields.io/hexpm/v/aht20.svg?label=docs)](https://hexdocs.pm/aht20)\n[![CI](https://github.com/mnishiguchi/AHT20/workflows/CI/badge.svg)](https://github.com/mnishiguchi/AHT20/actions)\n\nRead temperature and humidity from AHT20 sensor in Elixir.","ref":"readme.html"},{"type":"extras","title":"Usage - AHT20","doc":"```elixir\n# Connect to the sensor.\niex> {:ok, pid} = AHT20.start_link(bus_name: \"i2c-1\")\n{:ok, #PID<0.1407.0>}\n\n# Read the humidity and temperature from the sensor.\niex> AHT20.measure(pid)\n{:ok,\n %AHT20.Measurement{\n   dew_point_c: 15.486471933717919,\n   humidity_rh: 42.671871185302734,\n   temperature_c: 29.494285583496094,\n   timestamp_ms: 79084\n }}\n```\n\nDepending on your hardware configuration, you may need to modify the call to\n`AHT20.start_link/1`. See `t:AHT20.option/0` for parameters.","ref":"readme.html#usage"}],"content_type":"text/markdown"}